Bug 152416 - Daily prelink aborts
Daily prelink aborts
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 06:25 EST by Boris Folgmann
Modified: 2008-02-08 06:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 00:44:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logfile from my demo run (129.50 KB, text/plain)
2005-03-29 06:25 EST, Boris Folgmann
no flags Details
Generated with strace prelink -av -mR -q 2>/tmp/strace.out (2.78 MB, application/octet-stream)
2005-04-08 09:29 EDT, Boris Folgmann
no flags Details

  None (edit)
Description Boris Folgmann 2005-03-29 06:25:54 EST
Description of problem:
/etc/cron.daily/prelink aborts when running prelink, therefore an error mail ist
sent to root

Version-Release number of selected component (if applicable):
prelink-0.3.3-0.fc3
anacron-2.3-32

How reproducible:
Almost every day

Steps to Reproduce:
# LANG="" /etc/cron.daily/prelink

  
Actual results:
/etc/cron.daily/prelink: line 47: 32330 Aborted                
/usr/sbin/prelink -av $PRELINK_OPTS >>/var/log/prelink.log 2>&1


Expected results:
No output

Additional info:
prelink is called by anacron, science this machine is not running in the night.

In fact I'm using a german locale, here are some entries from the past error mails:
/etc/cron.daily/prelink: line 47:  7483 Abgebrochen            
/usr/sbin/prelink -av $PRELINK_OPTS >>/var/log/prelink.log 2>&1
etc/cron.daily/prelink: line 47:  8417 Abgebrochen             /usr/sbin/prelink
-av $PRELINK_OPTS >>/var/log/prelink.log 2>&1
/etc/cron.daily/prelink: line 47:  7622 Abgebrochen            
/usr/sbin/prelink -av $PRELINK_OPTS >>/var/log/prelink.log 2>&1
[...]

I don't know what the error code before "Abgebrochen" (engl. aborted) means, but
it's different every time.
Comment 1 Boris Folgmann 2005-03-29 06:25:55 EST
Created attachment 112412 [details]
Logfile from my demo run
Comment 2 Boris Folgmann 2005-03-29 06:26:56 EST
I've read bug #110665, but I've got no segfaults.
Comment 3 Jakub Jelinek 2005-03-29 10:20:22 EST
Please:
1) install prelink-debuginfo package corresponding to prelink you have installed,
   from
your_favourite_fedora_mirror.../updates/3/i386/debug/prelink-debuginfo-0.3.3-0.fc3.i386.rpm
2) as root, do:
   gdb /usr/sbin/prelink
   run -av -mR -q
3) wait until it aborts, then cut'n'paste here output from
   bt

Comment 4 Boris Folgmann 2005-03-29 12:51:54 EST
There seem to be a problem doing that:
(gdb) run -av -mR -q
Starting program: /usr/sbin/prelink -av -mR -q
warning: shared library handler failed to enable breakpoint
Detaching after fork from child process 10458.
Detaching after fork from child process 10459.
Detaching after fork from child process 10460.
Detaching after fork from child process 10461.
Detaching after fork from child process 10462.
Detaching after fork from child process 10463.
Detaching after fork from child process 10464.
Detaching after fork from child process 10465.
Detaching after fork from child process 10466.
Detaching after fork from child process 10467.
Detaching after fork from child process 10468.
Detaching after fork from child process 10469.
Detaching after fork from child process 10470.
Detaching after fork from child process 10471.
Detaching after fork from child process 10472.
Detaching after fork from child process 10473.
Detaching after fork from child process 10474.
Detaching after fork from child process 10475.
Detaching after fork from child process 10476.
Detaching after fork from child process 10477.
Detaching after fork from child process 10478.
Detaching after fork from child process 10479.

[1]+  Stopped                 gdb /usr/sbin/prelink
Comment 5 Boris Folgmann 2005-04-08 09:29:35 EDT
Created attachment 112852 [details]
Generated with strace prelink -av -mR -q 2>/tmp/strace.out

Please decompress with bzip2, original file is 57M large.
Comment 6 Boris Folgmann 2005-04-08 11:26:38 EDT
It seems that prelink is spawning child processes, so your gdb call doesn't work
as expected. May be the strace output gives you the same information.
Comment 7 Matthew Miller 2006-07-10 19:14:38 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 petrosyan 2008-02-07 00:44:34 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.
Comment 9 Boris Folgmann 2008-02-08 06:03:19 EST
We migrated the FC3 systems to RHEL4 which fixed the problem.

Note You need to log in before you can comment on or make changes to this bug.